=== debian/changelog ===
ros-humble-rplidar-ros (2.1.4-1jammy) jammy; urgency=high

  * Update SDK.
    * UltraDense protocol support
    * support for stoppping A1 motor
    * Optimize lidar driver for switching S2E workingmode
  * Bugfix:logical error
  * Install udev rules via debian.
  * Contributors: Tony Baltovski, deyou wang

 -- Wang DeYou <deyou.wang@slamtec.com>  Mon, 14 Aug 2023 16:00:00 -0000

ros-humble-rplidar-ros (2.1.3-1jammy) jammy; urgency=high

  * Bugfix:auto standby mode not work
  * Rename SLLidar* to RPLidar* in rplidar_node.cpp
  * Renaming variable m_running to is_scanning
  * Update README
  * Use rplidar_ros.rviz instead of rplidar.rviz
  * Update source files in src directory:
    Use the source files developed by Slamtec instead of the old ones, and add the functionality of the old code.
  * Modify and add launch files
  * Update rplidar-sdk to 2.0.0
  * Update create_udev_rules.sh
  * Update description in package.xml
  * Update maintainer to Wang DeYou
  * Contributors: Wang DeYou

 -- Wang DeYou <deyou.wang@slamtec.com>  Wed, 19 Jul 2023 16:00:00 -0000

ros-humble-rplidar-ros (2.1.0-1jammy) jammy; urgency=high

  * Add auto standby mode (#29 <https://github.com/allenh1/rplidar_ros/issues/29>)
    * Add auto standby mode
    Turn on/off motor based on topic subsribers
    * Set auto_standby off by default
  * Fix building on Apple machines (#30 <https://github.com/allenh1/rplidar_ros/issues/30>)
  * Update README & fix launch files for Foxy and up (#26 <https://github.com/allenh1/rplidar_ros/issues/26>)
    * Update README.md
    based on modifications from youngday
    * Update launch files for Foxy or later
  * Contributors: Jesse Zhang, Vasily Kiniv

 -- Wang DeYou <deyou.wang@slamtec.com>  Mon, 05 Sep 2022 16:00:00 -0000

ros-humble-rplidar-ros (2.0.3-1jammy) jammy; urgency=high

  * Fix build with later versions of GCC
  * Contributors: Hunter L. Allen

 -- Wang DeYou <deyou.wang@slamtec.com>  Wed, 31 Aug 2022 16:00:00 -0000

ros-humble-rplidar-ros (2.0.2-1jammy) jammy; urgency=high

  * Remove test_rplidar.launch.py, since relevant executables no longer exist (#24 <https://github.com/allenh1/rplidar_ros/issues/24>)
  * Contributors: Hunter L. Allen

 -- Wang DeYou <deyou.wang@slamtec.com>  Wed, 26 May 2021 16:00:00 -0000

ros-humble-rplidar-ros (2.0.1-1jammy) jammy; urgency=high

  * Remove old driver (#21 <https://github.com/allenh1/rplidar_ros/issues/21>)
    * Remove old rplidar driver in favor of the component version
    * Lint the source
  * Fix incompatibilities with slam_toolbox (#20 <https://github.com/allenh1/rplidar_ros/issues/20>)
    * Fix incompatibilities with slam_toolbox:
    - Fix angle compensate mode to publish angle compensated values
    - Fix angle_increment calculation
    - Add optional flip_x_axis option to deal with issue discussed here: https://github.com/SteveMacenski/slam_toolbox/issues/198.  Flip x-axis can be used when laser is mounted with motor behind it as rotated TF laser frame doesn't seem to work with slam_toolbox.
    * Fix whitespace
  * Fix node count for component implementation (#19 <https://github.com/allenh1/rplidar_ros/issues/19>)
  * Slam Toolbox compatibility (#18 <https://github.com/allenh1/rplidar_ros/issues/18>)
    (cherry picked from commit f21079fea8eca8946b5b4ae72f50b8d9f1ac46a2)
  * Fix building with GCC 10 (#17 <https://github.com/allenh1/rplidar_ros/issues/17>)
  * Contributors: Christen Lofland, Hunter L. Allen, justinIRBT

 -- Wang DeYou <deyou.wang@slamtec.com>  Sat, 12 Sep 2020 16:00:00 -0000

ros-humble-rplidar-ros (2.0.0-1jammy) jammy; urgency=high

  * Update SDK to Version 0.12.0 (#14 <https://github.com/allenh1/rplidar_ros/issues/14>)
    * Register the rclcpp component
    * Update RPLIDAR SDK to version 1.12.0
  * Update ROS 2 parameters and use node's clock instance (#9 <https://github.com/allenh1/rplidar_ros/issues/9>)
    * Update ROS 2 parameters and use node's clock instance
    * Fix scan_mode listing output
    * Stop motors and exit when set_scan_mode() call fails
  * Fix compilation with eloquent (#6 <https://github.com/allenh1/rplidar_ros/issues/6>)
  * Use Composition node with launch files (#4 <https://github.com/allenh1/rplidar_ros/issues/4>)
  * Composable nodes (#3 <https://github.com/allenh1/rplidar_ros/issues/3>)
    * Begin implementation of composable rplidar_ros::rplidar_node
    * Declare composition node library in CMake, as well as continue the port
    * Get to a compiling state
    * Add start/stop motor callbacks + more driver setup
    * Add publish loop for scans
    * Add composition node
    * Lint
  * Port rviz and launch files to ROS2 (#2 <https://github.com/allenh1/rplidar_ros/issues/2>)
    * Port non-rviz launch files to ROS2
    * Compatibility with rviz2
    * revert whitespace changes
    * Port the remaining launch files to ROS2
    * Revert more whitespace changes
    * Fix luanch and rviz install path indent level
  * Ros2 port (#1 <https://github.com/allenh1/rplidar_ros/issues/1>)
    ROS 2 port
    * Port CMakeLists.txt
    * Port package.xml
    * Port client.cpp
    * Port node.cpp
    Fix compilation
  * Support TCP
  * upgrade sdk 1.10.0
  * upgrade sdk 1.9.0
    [new feature] support baudrate 57600 and 1382400, support HQ scan response
    [bugfix] TCP channel doesn't work
    [improvement] Print warning messages when deprecated APIs are called; imporve angular accuracy for ultra capsuled scan points
  * [bugfix]modify scan_mode at test_rplidar.launch and test_rplidar_a3.launch
  * Contributors: Dan Rose, Hunter L. Allen, WubinXia, kint

 -- Wang DeYou <deyou.wang@slamtec.com>  Tue, 14 Jul 2020 16:00:00 -0000

ros-humble-rplidar-ros (1.10.0-1jammy) jammy; urgency=high

  * Update RPLIDAR SDK to 1.10.0
  * [new feature] support Rplidar S1
  * Contributors: tony,WubinXia

 -- Wang DeYou <deyou.wang@slamtec.com>  Thu, 21 Feb 2019 16:00:00 -0000

ros-humble-rplidar-ros (1.9.0-1jammy) jammy; urgency=high

  * Update RPLIDAR SDK to 1.9.0

